### Method

# EBookContacts VCard construct_full

since: 3.12

#### Declaration [src]

    void
    e_vcard_construct_full (
      EVCard* evc,
      const gchar* str,
      gssize len,
      const gchar* uid
    )

#### Description [src]

Similar to e_vcard_construct_with_uid(), but can also be used with an `str` that is not `NULL` terminated.

Available since: 3.12

#### Parameters

`str`

  Type: `const gchar*`

  A vCard string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`len`

  Type: `gssize`

  Length of `str`, or -1 if `str` is `NULL` terminated.

`uid`

  Type: `const gchar*`

  A unique ID string.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.